.adm-hidden {
    display: none;
}

.adm-block {

    @color-abstract: #48C4FF;
    @color-bug: #F50057;
    @color-danger: #FE1744;
    @color-example: #7940FF;
    @color-fail: #FE5E5E;
    @color-faq: #5ED116;
    @color-info: #00B8D4;
    @color-note: #448AFF;
    @color-quote: #9E9E9E;
    @color-success: #1DCD63;
    @color-tip: #01BFA5;
    @color-warning: #FF9001;

    .type(@name; @color; @ratio: 33%) {

        &.adm-@{name} {
            border-left-color: @color;
            .adm-heading {
                background: lighten(@color, @ratio);
                color: darken(@color, 5%);
                border-bottom-color: lighten(@color, @ratio - 5%);
            }
        }
    }

    border: 1px solid;
    border-left-width: .2em;
    box-shadow: 2px 2px 6px #cdcdcd;
    display: block;
    margin: .8em auto;
    padding: 0;
    width: 80%;

    border-color: #ebebeb;
    border-bottom-color: #bfbfbf;

    .adm-heading {
        border-bottom: 1px solid;
        display: block;
        font-size: .9em;
        font-weight: bold;
        line-height: 1.8em; 
        padding: .3em .8em;
        span {
            color: #333;
        }
    }

    .adm-body {
        display: block;
        padding: .3em 1.6em;
    }

    .adm-icon {
        display: inline-block;
        height: 1.6em;
        margin: 0 0.25em -0.35em 0;
        width: 1.6em;
    }

    .adm-hidden {
        display: none !important;
    }

    .type(abstract, @color-abstract, 31%);
    .type(bug, @color-bug, 44%);
    .type(danger, @color-danger, 41%);
    .type(example, @color-example, 33%);
    .type(fail, @color-fail, 28%);
    .type(faq, @color-faq, 49%);
    .type(info, @color-info, 54%);
    .type(note, @color-note, 33%);
    .type(quote, @color-quote, 34%);
    .type(success, @color-success, 49%);
    .type(tip, @color-tip, 58%);
    .type(warning, @color-warning, 44%);

}
